Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "affb35f8-001f-4c5e-bc05-d284f1164a23",
"purchase_order_id": "14536d21-4c15-4f19-b800-37cf70f2bd1a",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "c884fc12-ec73-4fac-8c67-0c785cd51985",
"id2": 2,
"jobs_id": "1a93d127-753a-48d7-b0de-a7d15424e363",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "ecabc14c-f373-4e2d-9577-7a0e994e6afb",
"supplier_company_code": "sample string 6",
"user_id": "987a56ef-37aa-46fe-8412-b1d173d4d58b",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-28T12:57:32.1151417+00:00",
"date_update": "2026-10-28T12:57:32.1320687+00:00",
"date_delivery": "2026-10-28T12:57:32.1320687+00:00",
"confirmed_date_delivery": "2026-10-28T12:57:32.1320687+00:00",
"delivery_db_address_id": "a3c64f4a-b79d-4cc7-9f0b-0cd069056e40",
"approved_by_user_id": "147ae035-8118-478f-a901-ba6db8e736d0",
"approved_by_user_code": "sample string 18",
"technical_user_id": "d1916a2d-f912-4950-b902-e4a66bcc7bf1",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "fbf79f61-42c7-416f-b7a9-6b6ba5f81260",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "8327acc5-bcbc-49ad-850c-7239bacad551",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-28T12:57:32.1320687+00:00"
},
"article_id": "ddfddf3b-d147-4091-a63f-69e9430b664c",
"article_code": "sample string 5",
"article": {
"id": "028ae281-a517-48ed-9414-781003f90195",
"article_category_id": "5c870ab2-00c1-452e-b8ee-b5fa732bfc9c",
"article_category": {
"id": "cc5aab64-a09f-4f21-aea2-1e9da0297944",
"parent_id": "09c528f0-f24d-4562-bd0a-787c55605db1",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-28T12:57:32.1517043+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "12f92b90-6415-4012-b02f-ec240bdb50d5",
"article_group_1_code": "sample string 5",
"article_group_2_id": "753f6569-0c79-4c68-9786-59cf079d67c8",
"article_group_2_code": "sample string 7",
"article_group_3_id": "be06fa33-ee2d-42d6-84e1-b9a311eeabcb",
"article_group_3_code": "sample string 9",
"article_group_4_id": "3eaf4560-0101-43ba-8439-a9ade767736c",
"article_group_4_code": "sample string 11",
"article_group_5_id": "a448b67c-e1cd-499b-b1d1-3edb341fc581",
"article_group_5_code": "sample string 13",
"article_group_6_id": "aec850a0-b379-499a-b2a7-da028c896ac8",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-28T12:57:32.1517043+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-28T12:57:32.1517043+00:00",
"date_update": "2026-10-28T12:57:32.1517043+00:00",
"modified_dateutc": "2026-10-28T12:57:32.1517043+00:00",
"article_color_id": "8db0991b-13e5-4e6c-8604-01cd994f75cc",
"article_color_code": "sample string 38",
"article_color": {
"id": "362c2bf5-3ba1-4083-970b-2fc60ae2742a",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-28T12:57:32.1517043+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "1b68f076-20e5-41f4-9abb-2ba487206b01",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "b3ea9fdb-31b7-4b35-851c-0f2bec924c10",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-28T12:57:32.1620174+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.